extends Node2D

## TabContainer.
@onready var _container = $TabContainer

## 開始.
func _ready() -> void:
	#DisplayServer.window_set_size(Vector2i(1152*2, 648*2))
	
	for vbox in _container.get_children():
		for button in vbox.get_children():
			# buttonのpressedシグナルの呼び出し関数に _on_button_pressedを設定する
			# 引数はボタンのテキスト名とする.
			button.connect("pressed", _on_button_pressed.bind(button.text))

## ボタン押したときのシグナル.
func _on_button_pressed(name:String) -> void:
	print("%s を押しました"%name)
